package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.math.BigDecimal;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/QueryPermitAuditResultAction.class */
public class QueryPermitAuditResultAction extends LifeJDBCAction {
    private String productFlowNoField;
    private String auditTypeField;
    private static final String QUERY_ADMIN_SQL = "SELECT ATR_CREDITSCORE,ATR_COMNUMBER,ATR_SOCIALNUMBER,ATR_REGISTCAPITAL,ATR_TAXPAYMENT,ATR_TOTALASSETS,ATR_OWNERSEQUITY,ATR_REVENUE,ATR_NETPROFITS,ATR_TOTALLIABILITY,ATR_LEVERAGE,ATR_SMLOANFANBALANCE,ATR_FINANCEGUAAMOUNT,ATR_QUALIFICATION,ATR_INDUSTRY,ATR_INDUSSTRUCTURE FROM ENGINE_ACCESS_AUDIT_APPPAR WHERE ATR_TYPE ='1' AND ATR_STT='0'";
    private static final String QUERY_BRANCH_SQL = "SELECT ATR_CREDITSCORE,ATR_COMNUMBER,ATR_SOCIALNUMBER,ATR_REGISTCAPITAL,ATR_TAXPAYMENT,ATR_TOTALASSETS,ATR_OWNERSEQUITY,ATR_REVENUE,ATR_NETPROFITS,ATR_TOTALLIABILITY,ATR_LEVERAGE,ATR_SMLOANFANBALANCE,ATR_FINANCEGUAAMOUNT,ATR_QUALIFICATION,ATR_INDUSTRY,ATR_INDUSSTRUCTURE FROM ENGINE_ACCESS_AUDIT_APPPAR WHERE ATR_FINANCEID =? AND ATR_TYPE='2' AND ATR_STT='0'";
    private static final String QUERY_PRODUCT_SQL = "SELECT ATR_CREDITSCORE,ATR_COMNUMBER,ATR_SOCIALNUMBER,ATR_REGISTCAPITAL,ATR_TAXPAYMENT,ATR_TOTALASSETS,ATR_OWNERSEQUITY,ATR_REVENUE,ATR_NETPROFITS,ATR_TOTALLIABILITY,ATR_LEVERAGE,ATR_SMLOANFANBALANCE,ATR_FINANCEGUAAMOUNT,ATR_QUALIFICATION,ATR_INDUSTRY,ATR_INDUSSTRUCTURE FROM ENGINE_ACCESS_AUDIT_APPPAR WHERE ATR_PROFLOWNO =? AND ATR_TYPE='3' AND ATR_STT='0'";

    public String execute(Context context) throws GENEException {
        String creditScore = (String) context.getDataValue("pba_creditScore");
        String companyNumber = (String) context.getDataValue("pba_comNumber");
        String socialNumber = (String) context.getDataValue("pba_socialNumber");
        String registCapital = (String) context.getDataValue("pba_registCapital");
        String taxPayment = (String) context.getDataValue("pba_taxpayment");
        String totalAssets = (String) context.getDataValue("pba_totalAssets");
        String ownersEquity = (String) context.getDataValue("pba_ownerSequity");
        String revenue = (String) context.getDataValue("pba_revenue");
        String netProfits = (String) context.getDataValue("pba_netProfits");
        String totalLiability = (String) context.getDataValue("pba_totalLibaility");
        String legeRage = (String) context.getDataValue("pba_leverage");
        String smLoanFinance = (String) context.getDataValue("pba_smloanfanbalance");
        String financeGuaAmount = (String) context.getDataValue("pba_smprofanbalance");
        String quaLification = (String) context.getDataValue("pba_qualification");
        String induStry = (String) context.getDataValue("pba_industry");
        String industrialStructure = (String) context.getDataValue("industrialStructure");
        boolean result = true;
        StringBuilder errorMsg = new StringBuilder("");
        try {
            try {
                Connection connection = LifeDBAccess.getConnection(getDataSource());
                List<String> compareList = new ArrayList<>();
                List<String> resultAdminList = LifeDBAccess.querySingleResult(connection, QUERY_ADMIN_SQL, (List) null, 16);
                if ("1".equals(this.auditTypeField)) {
                    String productFlowNo = (String) context.getDataValue(this.productFlowNoField);
                    ArrayList<String> productList = new ArrayList<>();
                    productList.add(productFlowNo);
                    List<String> resulProductList = LifeDBAccess.querySingleResult(connection, QUERY_PRODUCT_SQL, productList, 16);
                    String financeBranchNo = (String) context.getDataValue("financeBranchNo");
                    ArrayList<String> branchList = new ArrayList<>();
                    branchList.add(financeBranchNo);
                    List<String> resulBranchtList = LifeDBAccess.querySingleResult(connection, QUERY_BRANCH_SQL, branchList, 16);
                    if (resulProductList.size() != 0) {
                        for (int i = 0; i < resulProductList.size(); i++) {
                            if (!"".equals(resulProductList.get(i)) && resulProductList.get(i) != null) {
                                compareList.add(resulProductList.get(i));
                            } else if (resulBranchtList.size() != 0) {
                                if (!"".equals(resulBranchtList.get(i)) && resulBranchtList.get(i) != null) {
                                    compareList.add(resulBranchtList.get(i));
                                } else if (resultAdminList.size() != 0) {
                                    if (resultAdminList.get(i) != null) {
                                        compareList.add(resultAdminList.get(i));
                                    } else {
                                        compareList.add("");
                                    }
                                } else {
                                    compareList.add("");
                                }
                            } else if (resultAdminList.size() != 0) {
                                if (resultAdminList.get(i) != null) {
                                    compareList.add(resultAdminList.get(i));
                                } else {
                                    compareList.add("");
                                }
                            } else {
                                compareList.add("");
                            }
                        }
                    } else if (resulBranchtList.size() != 0) {
                        for (int i2 = 0; i2 < resulBranchtList.size(); i2++) {
                            if (!"".equals(resulBranchtList.get(i2)) && resulBranchtList.get(i2) != null) {
                                compareList.add(resulBranchtList.get(i2));
                            } else if (resultAdminList.size() != 0) {
                                if (resultAdminList.get(i2) != null) {
                                    compareList.add(resultAdminList.get(i2));
                                } else {
                                    compareList.add("");
                                }
                            } else {
                                compareList.add("");
                            }
                        }
                    } else {
                        compareList = resultAdminList;
                    }
                } else if ("2".equals(this.auditTypeField)) {
                    if (resultAdminList.size() != 0) {
                        for (int i3 = 0; i3 < resultAdminList.size(); i3++) {
                            if (resultAdminList.get(i3) != null) {
                                compareList.add(resultAdminList.get(i3));
                            } else {
                                compareList.add("");
                            }
                        }
                    } else {
                        compareList = resultAdminList;
                    }
                }
                try {
                    try {
                        if (compareList.size() != 0) {
                            if (!"".equals(compareList.get(0)) && compareList.get(0) != null && !"".equals(creditScore) && creditScore != null && new BigDecimal(creditScore).compareTo(new BigDecimal(compareList.get(0))) == -1) {
                                result = false;
                                errorMsg.append("信用评分低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(1)) && compareList.get(1) != null && !"".equals(companyNumber) && companyNumber != null && Integer.parseInt(companyNumber) < Integer.parseInt(compareList.get(1))) {
                                result = false;
                                errorMsg.append("公司人数低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(2)) && compareList.get(2) != null && !"".equals(socialNumber) && socialNumber != null && Integer.parseInt(socialNumber) < Integer.parseInt(compareList.get(2))) {
                                result = false;
                                errorMsg.append("社保缴交人数低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(3)) && compareList.get(3) != null && !"".equals(registCapital) && registCapital != null && new BigDecimal(registCapital).compareTo(new BigDecimal(compareList.get(3))) == -1) {
                                result = false;
                                errorMsg.append("注册资本低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(4)) && compareList.get(4) != null && !"".equals(taxPayment) && taxPayment != null && new BigDecimal(taxPayment).compareTo(new BigDecimal(compareList.get(4))) == -1) {
                                result = false;
                                errorMsg.append("纳税合计低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(5)) && compareList.get(5) != null && !"".equals(totalAssets) && totalAssets != null && new BigDecimal(totalAssets).compareTo(new BigDecimal(compareList.get(5))) == -1) {
                                result = false;
                                errorMsg.append("资产总计低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(6)) && compareList.get(6) != null && !"".equals(ownersEquity) && ownersEquity != null && new BigDecimal(ownersEquity).compareTo(new BigDecimal(compareList.get(6))) == -1) {
                                result = false;
                                errorMsg.append("所有者权益合计低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(7)) && compareList.get(7) != null && !"".equals(revenue) && revenue != null && new BigDecimal(revenue).compareTo(new BigDecimal(compareList.get(7))) == -1) {
                                result = false;
                                errorMsg.append("主营业务收入低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(8)) && compareList.get(8) != null && !"".equals(netProfits) && netProfits != null && new BigDecimal(netProfits).compareTo(new BigDecimal(compareList.get(8))) == -1) {
                                result = false;
                                errorMsg.append("净利润收入低于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(9)) && compareList.get(9) != null && !"".equals(totalLiability) && totalLiability != null && new BigDecimal(totalLiability).compareTo(new BigDecimal(compareList.get(9))) == 1) {
                                result = false;
                                errorMsg.append("负债合计高于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(10)) && compareList.get(10) != null && !"".equals(legeRage) && legeRage != null && new BigDecimal(legeRage).compareTo(new BigDecimal(compareList.get(10))) == 1) {
                                result = false;
                                errorMsg.append("资产负债率大于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(11)) && compareList.get(11) != null && !"".equals(smLoanFinance) && smLoanFinance != null && new BigDecimal(smLoanFinance).compareTo(new BigDecimal(compareList.get(11))) == 1) {
                                result = false;
                                errorMsg.append("未结清的小额贷款金额大于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(12)) && compareList.get(12) != null && !"".equals(financeGuaAmount) && financeGuaAmount != null && new BigDecimal(financeGuaAmount).compareTo(new BigDecimal(compareList.get(12))) == 1) {
                                result = false;
                                errorMsg.append("未解保的融资担保金额大于设置的参数大小;\n");
                            }
                            if (!"".equals(compareList.get(13))) {
                                String[] array = compareList.get(13).split(",");
                                int count = 0;
                                int i4 = 0;
                                while (true) {
                                    if (i4 >= array.length) {
                                        break;
                                    }
                                    if (!array[i4].equals(quaLification)) {
                                        i4++;
                                    } else {
                                        count = 0 + 1;
                                        break;
                                    }
                                }
                                if (count == 0) {
                                    result = false;
                                    errorMsg.append("不满足设置的资质类型;\n");
                                }
                            }
                            if (!"".equals(compareList.get(14))) {
                                String[] array2 = compareList.get(14).split(",");
                                int count2 = 0;
                                int i5 = 0;
                                while (true) {
                                    if (i5 >= array2.length) {
                                        break;
                                    }
                                    if (!array2[i5].equals(induStry)) {
                                        i5++;
                                    } else {
                                        count2 = 0 + 1;
                                        break;
                                    }
                                }
                                if (count2 == 0) {
                                    result = false;
                                    errorMsg.append("不满足设置的行内分类;\n");
                                }
                            }
                            if (!"".equals(compareList.get(15))) {
                                String[] array3 = compareList.get(15).split(",");
                                int count3 = 0;
                                int i6 = 0;
                                while (true) {
                                    if (i6 >= array3.length) {
                                        break;
                                    }
                                    if (!array3[i6].equals(industrialStructure)) {
                                        i6++;
                                    } else {
                                        count3 = 0 + 1;
                                        break;
                                    }
                                }
                                if (count3 == 0) {
                                    result = false;
                                    errorMsg.append("不满足设置的产业结构;\n");
                                }
                            }
                        }
                        context.setDataValue("permitAuditResult", result ? "1" : "0");
                        context.setDataValue("permitAuditMessage", result ? "" : errorMsg);
                    } catch (Exception unused) {
                        result = false;
                        errorMsg.append("不识别的设置信息;\n");
                        context.setDataValue("permitAuditResult", "0");
                        context.setDataValue("permitAuditMessage", errorMsg);
                    }
                    LifeDBAccess.releaseConnection(getDataSource(), connection);
                    return "0";
                } catch (Throwable th) {
                    context.setDataValue("permitAuditResult", result ? "1" : "0");
                    context.setDataValue("permitAuditMessage", result ? "" : errorMsg);
                    throw th;
                }
            } catch (TranFailException se) {
                TranFailException tfe = new TranFailException(se);
                Trace.logError("LOAF", se.getMessage(), se);
                context.put("GENEException", tfe);
                throw tfe;
            }
        } catch (Throwable th2) {
            LifeDBAccess.releaseConnection(getDataSource(), (Connection) null);
            throw th2;
        }
    }

    public void setProductFlowNoField(String productFlowNoField) {
        this.productFlowNoField = productFlowNoField;
    }

    public void setAuditTypeField(String auditTypeField) {
        this.auditTypeField = auditTypeField;
    }
}
